Mailinglist Archive: opensuse-updates (28 mails)

< Previous Next >
openSUSE-SU-2011:1243-1: critical: MozillaFirefox secuirty update
openSUSE Security Update: MozillaFirefox secuirty update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:1243-1
Rating: critical
References: #728520
Cross-References: CVE-2011-3648 CVE-2011-3650 CVE-2011-3651
CVE-2011-3652 CVE-2011-3654 CVE-2011-3655

Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available. It
includes 5 new package versions.

Description:

MozillaFirefox was updated to version 8 (bnc#728520) to fix
the following security issues:

* MFSA 2011-47/CVE-2011-3648 (bmo#690225) Potential XSS
against sites using Shift-JIS
* MFSA 2011-48/CVE-2011-3651/CVE-2011-3652/CVE-2011-3654
Miscellaneous memory safety hazards
* MFSA 2011-49/CVE-2011-3650 (bmo#674776) Memory
corruption while profiling using Firebug
* MFSA 2011-52/CVE-2011-3655 (bmo#672182) Code execution
via NoWaiverWrapper
- rebased patches


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch MozillaFirefox-5399

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64) [New Version: 1.9.2.24,3.1.16,5.0 and 8.0]:

MozillaFirefox-8.0-0.2.2
MozillaFirefox-branding-openSUSE-5.0-2.5.1
MozillaFirefox-branding-upstream-8.0-0.2.2
MozillaFirefox-buildsymbols-8.0-0.2.2
MozillaFirefox-devel-8.0-0.2.2
MozillaFirefox-translations-common-8.0-0.2.2
MozillaFirefox-translations-other-8.0-0.2.2
MozillaThunderbird-3.1.16-0.19.2
MozillaThunderbird-buildsymbols-3.1.16-0.19.2
MozillaThunderbird-devel-3.1.16-0.19.2
MozillaThunderbird-translations-common-3.1.16-0.19.2
MozillaThunderbird-translations-other-3.1.16-0.19.2
enigmail-1.1.2+3.1.16-0.19.2
mozilla-js192-1.9.2.24-0.2.2
mozilla-xulrunner192-1.9.2.24-0.2.2
mozilla-xulrunner192-buildsymbols-1.9.2.24-0.2.2
mozilla-xulrunner192-devel-1.9.2.24-0.2.2
mozilla-xulrunner192-gnome-1.9.2.24-0.2.2
mozilla-xulrunner192-translations-common-1.9.2.24-0.2.2
mozilla-xulrunner192-translations-other-1.9.2.24-0.2.2

- openSUSE 11.4 (x86_64) [New Version: 1.9.2.24]:

mozilla-js192-32bit-1.9.2.24-0.2.2
mozilla-xulrunner192-32bit-1.9.2.24-0.2.2
mozilla-xulrunner192-gnome-32bit-1.9.2.24-0.2.2
mozilla-xulrunner192-translations-common-32bit-1.9.2.24-0.2.2
mozilla-xulrunner192-translations-other-32bit-1.9.2.24-0.2.2


References:

http://support.novell.com/security/cve/CVE-2011-3648.html
http://support.novell.com/security/cve/CVE-2011-3650.html
http://support.novell.com/security/cve/CVE-2011-3651.html
http://support.novell.com/security/cve/CVE-2011-3652.html
http://support.novell.com/security/cve/CVE-2011-3654.html
http://support.novell.com/security/cve/CVE-2011-3655.html
https://bugzilla.novell.com/728520


< Previous Next >
This Thread
  • No further messages